Bug 1291964 - JBDS 9 - BPMN Process Editor - Process Variable Forms Is Odd / Broken
JBDS 9 - BPMN Process Editor - Process Variable Forms Is Odd / Broken
Status: VERIFIED
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Eclipse Tooling (Show other bugs)
6.2.0
Unspecified Unspecified
high Severity high
: ---
: 6.3.0
Assigned To: Robert (Bob) Brodt
Jozef Marko
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-15 23:54 EST by Justin Holmes
Modified: 2016-09-20 01:08 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Image of expected prompt (62.08 KB, image/png)
2015-12-15 23:54 EST, Justin Holmes
no flags Details
unexpected prompt (62.08 KB, image/png)
2015-12-15 23:54 EST, Justin Holmes
no flags Details
More unexpected prompts (117.71 KB, image/png)
2015-12-15 23:56 EST, Justin Holmes
no flags Details
Strange import prompt (145.25 KB, image/png)
2015-12-15 23:56 EST, Justin Holmes
no flags Details
Expect prompt - taken from JBDS 8.1 (227.44 KB, image/png)
2015-12-16 00:22 EST, Justin Holmes
no flags Details
Item Subject Form (141.40 KB, image/png)
2015-12-21 13:54 EST, Justin Holmes
no flags Details
Version Info (141.92 KB, image/png)
2015-12-21 13:55 EST, Justin Holmes
no flags Details
Jbds 8.1 versions (231.51 KB, image/png)
2015-12-21 14:02 EST, Justin Holmes
no flags Details
new versions (96.41 KB, image/png)
2016-01-11 11:44 EST, Justin Holmes
no flags Details
new designer (148.06 KB, image/png)
2016-01-11 11:44 EST, Justin Holmes
no flags Details
screenshot 1.2.1 (167.14 KB, image/png)
2016-01-13 11:21 EST, Justin Holmes
no flags Details

  None (edit)
Description Justin Holmes 2015-12-15 23:54:00 EST
Created attachment 1106282 [details]
Image of expected prompt

Description of problem:
Looks the BPMN Process Editor changed for creating process variables in JBDS 9. This makes it very hard to create a process variable with a data type, which was very easy before.

Version-Release number of selected component (if applicable):
JBDS 9

How reproducible:
Occassional

Steps to Reproduce:
1. Create a new "jbpm process" in Eclipse
2. Open bpmn2 file
3. Go to Properties->Data Items -> Properties -> Click Plus sign

Actual results:
Weird dialogue and prompt (see photos 2-6)

Expected results:
Old style dialogue (see photo 1)

Additional info:
Comment 1 Justin Holmes 2015-12-15 23:54 EST
Created attachment 1106283 [details]
unexpected prompt
Comment 2 Justin Holmes 2015-12-15 23:56 EST
Created attachment 1106284 [details]
More unexpected prompts
Comment 3 Justin Holmes 2015-12-15 23:56 EST
Created attachment 1106285 [details]
Strange import prompt
Comment 4 Justin Holmes 2015-12-15 23:59:01 EST
Also worth noting here that in most cases, I am unable to complete the prompts such that they create valid BPMN2 xml, so I have had to manually edit the <bpmn2:itemDefinition/>
Comment 6 Justin Holmes 2015-12-16 00:22 EST
Created attachment 1106286 [details]
Expect prompt - taken from JBDS 8.1
Comment 7 Jozef Marko 2015-12-18 04:18:35 EST
Hello Justin,
Please can you write exact version of JBDS and BPMN Modeller you reproduced this issue on?

Also, in the attachment screenshots 1.png and 2.png are completely the same.
Comment 8 Justin Holmes 2015-12-21 13:54 EST
Created attachment 1108368 [details]
Item Subject Form
Comment 9 Justin Holmes 2015-12-21 13:55 EST
Created attachment 1108381 [details]
Version Info
Comment 10 Justin Holmes 2015-12-21 14:01:46 EST
Jozef,

I have attached the version information by way of a snapshot in Versions.png. Let me know if you need more data. Is there a place where I can get that data in a file? I know that an image is not ideal.

Regarding the 1 and 2 images being the same, that is my mistake. I have added a new image "Item Subject Form" which captures the heart of the issue. I have absolutely no idea what that form means in the context of developing a jbpm process definition, and my expectation is that you see the form in the way it is presented in "expected prompt - taken from jbds 8.1" which is meaningful to developing a jbpm process definition. I have also included "JBDS 8.1 versions" for reference
Comment 11 Justin Holmes 2015-12-21 14:02 EST
Created attachment 1108395 [details]
Jbds 8.1 versions
Comment 12 Jozef Marko 2016-01-11 04:25:49 EST
Thanks Justin,
Screen Versions.png provides enough info for me. 
Problem you described for JBDS9 seems to be fixed in next version of BPMN2 modeler.
But I am not able to say, when will be this version available in JBDS tooling.
If you want to try this newer version, you can download eclipse and use update site: http://download.eclipse.org/bpmn2-modeler/updates/mars/1.2.0/

Just for sure. If you have any problems with BPMN2 modeler concerning UI layouts, make sure you have set SWT_GTK3 variable set to 0. For example in .bashrc file: export SWT_GTK3=0
Comment 13 Justin Holmes 2016-01-11 11:43:49 EST
Josef,

Based on my test, I do not agree that the BPMN2 modeler is fixed in newer versions of the BPMN2 model. See new_modeller.png and new_version.png. 

I expect to see java.lang.String etc. as data type options for the process variables. 

I also have no idea what "data state" means.
Comment 14 Justin Holmes 2016-01-11 11:44 EST
Created attachment 1113630 [details]
new versions
Comment 15 Justin Holmes 2016-01-11 11:44 EST
Created attachment 1113631 [details]
new designer
Comment 16 Jozef Marko 2016-01-11 14:04:40 EST
Justin,
something weird is happening. In the morning I installed version of BPMN2 Modeller 1.2.1.xyz where it was working. But now, I installed the same version as you (BPMN2 Modeler 1.2.1.201507081507) where is everything as you filed in this BZ.

I will try to find out what is going on directly with Bob. Please be patient. Thanks
Comment 17 Justin Holmes 2016-01-11 14:21:10 EST
No problem being patient, it's a prerequisite with this platform =)

Let me know if you need more info on my end.
Comment 18 Jozef Marko 2016-01-13 07:39:14 EST
Justin, today I have installed BPMN2 Modeller 1.1.2.Final by the given update site. Your issue looks be fixed there for me. Please can you confirm that everything is properly fixed for you?
Comment 19 Jozef Marko 2016-01-13 07:45:14 EST
Sorry, I mean 1.2.1.Final in previous comment.
Comment 20 Justin Holmes 2016-01-13 11:21:12 EST
1.2.1.Final looks good. I used update site: http://download.eclipse.org/bpmn2-modeler/updates/mars/1.2.1/. Screen shot success 1.2.1 attached
Comment 21 Justin Holmes 2016-01-13 11:21 EST
Created attachment 1114452 [details]
screenshot 1.2.1
Comment 22 Jozef Marko 2016-01-13 11:48:00 EST
Great, I will close this BZ as soon as the fix will be available in official tooloing for JBDS8 or JBDS9.
Comment 23 Robert (Bob) Brodt 2016-01-21 16:51:17 EST
OK, I disabled adding Timer Boundary Events to ScripTasks from both the toolpalette as well as the Event Definition property pages.

Fixed in version 1.2.3 (Mars) and 1.3.0 (Neon) of BPMN2 Modeler.
Comment 24 Jozef Marko 2016-03-03 08:03:46 EST
Verified on:
JBDSIS 9.0.0.Beta1, JBTIS 4.3.0.Beta1
BPMN2 Modeler - 1.2.3.CR2-v20160209-2002

Note You need to log in before you can comment on or make changes to this bug.